<?php

namespace App\Container\Site;

use App\Factory\Site\BlockFactory;
use App\Repository\Site\BlockRepositoryQuery;
use App\Repository\Site\BlockStore;

class BlockContainer
{
    protected BlockFactory $factory;
    protected BlockRepositoryQuery $repositoryQuery;
    protected BlockStore $store;

    public function __construct(
        BlockFactory $factory,
        BlockRepositoryQuery $repositoryQuery,
        BlockStore $store
    ) {
        $this->factory = $factory;
        $this->repositoryQuery = $repositoryQuery;
        $this->store = $store;
    }

    public function getFactory(): BlockFactory
    {
        return $this->factory;
    }

    public function getRepositoryQuery(): BlockRepositoryQuery
    {
        return $this->repositoryQuery;
    }

    public function getStore(): BlockStore
    {
        return $this->store;
    }

}